io.vertx.rxjava.ext.web.templ

## Class JadeTemplateEngine

- java.lang.Object
- - io.vertx.rxjava.ext.web.templ.TemplateEngine
  - - io.vertx.rxjava.ext.web.templ.JadeTemplateEngine

-     public class JadeTemplateEngine
      extends TemplateEngine

  A template engine that uses Jade.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<JadeTemplateEngine>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JadeTemplateEngine(JadeTemplateEngine delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JadeTemplateEngine` | `create()` Create a template engine using defaults
    `JadeTemplateEngine` | `getDelegate()`
    `static JadeTemplateEngine` | `newInstance(JadeTemplateEngine arg)`
    `JadeTemplateEngine` | `setExtension(String extension)` Set the extension for the engine
    `JadeTemplateEngine` | `setMaxCacheSize(int maxCacheSize)` Set the max cache size for the engine

    - ### Methods inherited from class io.vertx.rxjava.ext.web.templ.TemplateEngine

      `isCachingEnabled, newInstance, render, render, renderObservable, renderObservable, rxRender, rxRender`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<JadeTemplateEngine> __TYPE_ARG

  - ### Constructor Detail

    - #### JadeTemplateEngine

          public JadeTemplateEngine(JadeTemplateEngine delegate)

  - ### Method Detail

    - #### getDelegate

          public JadeTemplateEngine getDelegate()

      Overrides:
        `getDelegate` in class `TemplateEngine`

    - #### create

          public static JadeTemplateEngine create()

      Create a template engine using defaults
      Returns:
        the engine

    - #### setExtension

          public JadeTemplateEngine setExtension(String extension)

      Set the extension for the engine
      Parameters:
        `extension` - the extension
      Returns:
        a reference to this for fluency

    - #### setMaxCacheSize

          public JadeTemplateEngine setMaxCacheSize(int maxCacheSize)

      Set the max cache size for the engine
      Parameters:
        `maxCacheSize` - the maxCacheSize
      Returns:
        a reference to this for fluency

    - #### newInstance

          public static JadeTemplateEngine newInstance(JadeTemplateEngine arg)

Copyright © 2017. All rights reserved.